/******************************************************************************
 JFAID.h

	ID class for JFileArray class

	Copyright  1994 John Lindal. All rights reserved.

 ******************************************************************************/

#ifndef _H_JFAID
#define _H_JFAID

class JFAID
{
public:

	JFAID(const JFAID_t anID = kInvalidFAID)
		:
		itsID( anID )
	{ };

	JFAID_t
	GetID()
		const
	{
		return itsID;
	};

	void
	SetID
		(
		const JFAID_t newID
		)
	{
		itsID = newID;
	};

	JBoolean
	IsValid()
		const
	{
		return JConvertToBoolean( kMinFAID <= itsID && itsID <= kMaxFAID );
	};

private:

	JFAID_t itsID;
};

#endif
