/******************************************************************************
 JXCFDUpdateTask.h

	Copyright  1998 by John Lindal. All rights reserved.

 ******************************************************************************/

#ifndef _H_JXCFDUpdateTask
#define _H_JXCFDUpdateTask

#include <JXIdleTask.h>

class JXChooseFileDialog;

class JXCFDUpdateTask : public JXIdleTask
{
public:

	JXCFDUpdateTask(JXChooseFileDialog* dialog);

	virtual ~JXCFDUpdateTask();

	virtual void	Perform(const Time delta, Time* maxSleepTime);

private:

	JXChooseFileDialog*	itsDialog;	// this owns us

private:

	// not allowed

	JXCFDUpdateTask(const JXCFDUpdateTask& source);
	const JXCFDUpdateTask& operator=(const JXCFDUpdateTask& source);
};

#endif
