/******************************************************************************
 JFAIndex.h

	Index class for JFileArray class

	Copyright  1994 John Lindal. All rights reserved.

 ******************************************************************************/

#ifndef _H_JFAIndex
#define _H_JFAIndex

class JFAIndex
{
public:

	JFAIndex(const JIndex anIndex = kInvalidFAIndex)
		:
		itsIndex( anIndex )
	{ };

	JIndex
	GetIndex()
		const
	{
		return itsIndex;
	};

	void
	SetIndex
		(
		const JIndex newIndex
		)
	{
		itsIndex = newIndex;
	};

	JBoolean
	IsValid()
		const
	{
		return JConvertToBoolean( itsIndex != kInvalidFAIndex );
	};

private:

	JIndex itsIndex;
};

#endif
