/******************************************************************************
 jAssert.h

	Interface for jAssert.cc

	Copyright  1996 by John Lindal. All rights reserved.

 ******************************************************************************/

#ifndef _H_jAssert
#define _H_jAssert

#define dynamic_cast(TYPE,EXPR)		((TYPE)(EXPR))	// until it is supported

#ifdef __cplusplus
extern "C" {
#endif

#undef assert

#ifdef NDEBUG

	#define assert(x)	((void) 0)

#else

	int __JAssert(char*, char*, int);
	#define assert(x)	((void) ((x) || __JAssert(#x, __FILE__, __LINE__)))

#endif

#ifdef __cplusplus
}
#endif

#if !__MWERKS__ && !defined __VCPP__
#include <jNew.h>
#endif

#endif
