/******************************************************************************
 jUNIXUtil.h

	Interface for jUNIXUtil.cc

	Copyright  1997 by John Lindal. All rights reserved.

 ******************************************************************************/

#ifndef _H_jUNIXUtil
#define _H_jUNIXUtil

#include <jTypes.h>
#include <unistd.h>

#if __MWERKS__
	typedef unsigned int uid_t;
	typedef unsigned int gid_t;
#else
	#include <sys/types.h>
#endif

class JString;

JString JGetUserName();
JString JGetUserName(const uid_t uid);

JString JGetGroupName();
JString JGetGroupName(const gid_t gid);

JBoolean JUNIXSocketExists(const JCharacter* pathName);

#endif
